Bug 772768 - [abrt] libreoffice-writer-3.3.4.1-1.fc15: ScDataFormDlg::ScDataFormDlg: Process /usr/lib64/libreoffice/program/swriter.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-writer-3.3.4.1-1.fc15: ScDataFormDlg::ScDataFormDlg: Proce...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:6acdbcf4aa0124b53025d2bf529...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-09 17:30 EST by Esteban Contreras-Vazquez
Modified: 2012-01-25 17:29 EST (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-3.3.4.1-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-25 17:29:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (23.35 KB, text/plain)
2012-01-09 17:30 EST, Esteban Contreras-Vazquez
no flags Details
File: maps (88.04 KB, text/plain)
2012-01-09 17:30 EST, Esteban Contreras-Vazquez
no flags Details
File: backtrace (81.03 KB, text/plain)
2012-01-09 17:31 EST, Esteban Contreras-Vazquez
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 39773 None None None Never

  None (edit)
Description Esteban Contreras-Vazquez 2012-01-09 17:30:50 EST
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/swriter.bin -writer
component:      libreoffice
crash_function: ScDataFormDlg::ScDataFormDlg
executable:     /usr/lib64/libreoffice/program/swriter.bin
kernel:         2.6.41.4-1.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        libreoffice-writer-3.3.4.1-1.fc15
reason:         Process /usr/lib64/libreoffice/program/swriter.bin was killed by signal 11 (SIGSEGV)
time:           Sun Jan  8 23:33:48 2012
uid:            500
username:       quetzalzun
xsession_errors: 

backtrace:      Text file, 82974 bytes
dso_list:       Text file, 23910 bytes
maps:           Text file, 90150 bytes

build_ids:
:318d7ebb9ff61bf5d08d070bb0fa793c4c0d9cb0
:8931ab3c073ffb8513aa5e95e6df924ee22b3691
:f65baade131f67f424c4167cb2f046cb63a96c01
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:1ba57a696637c1e23edecbd851a292f85214b29c
:2d0237118ecb77f42db4d75c9f74aa29fa6eeaee
:1d87720659528ad80e8870da2b2bb4af4470cf66
:29f6d4786cb6c866e3db54e077f9a4ac4731bf85
:7344cc326e870bf2ff3bee89b45eea92ac602a45
:89017ab0b75e533e4294f74ee8f7db3daceea536
:2e7e6e936da9857e434f8c8431f4797cb4a657d3
:d0c6e13f00a20952a72a945c929efb175fd760e3
:720f5624db1f0bc4e4b8c3c2408b29d489c3ae86
:1cd93d403416b8ac6f7ae3ffa432b05a7c6d5158
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:0b1f69c75c16ae2ee963cec0721f0e67e2b0f630
:64ea29c75d26161fbd6ed978c140bcf0381bd659
:9cc063050dab2032a1639b4c27f6b650d1ee632e
:5dddbb646db3ca0f93a9848c66c8a6dd1b335466
:ee3684e819e408da66705e5158075e336366c984
:f9a15f1cb853aa8ed2123815c88b2793f6de60b1
:8f874543fdf043ccf0571c171ba6cc160dc08cad
:694720719702047d15eb06db4abc65a9a5770d96
:aaf62304b0fc10611d35b4f56005479d4c58868d
:3bcc2f7ba40fcae389a7c4de6ad8281248551da2
:b9f2eca2886132f0c83956a82df9d49e238cbec3
:41e8b8073ee1abe14cfcdb489c41f83237c9a27e
:9fc13448ecdb452a01c4da44a201814175b75b4f
:25a106c9d614b685988af52bec8fa1009c1a8017
:2af6ce4079c390caae65ee99e15f23155845e460
:52be8d862c205a36bbd6b512efb989d00eb1f2eb
:e99bec74eadc9b992530fcf2bece7c44531cf5f7
:c7803e0e6512b90b085ce082eb59633837b36a13
:a7f1c18b1ea74748c739d5dc04cf55c46358f641
:057c6878f3bc77e4441b995cdc5d077dd0d6b0f2
:83849c34fd04a1e612357c17b6fc0bfdc0fffd66
:fdc09328fea3e060c8a504a8291555b4cd19172a
:e321a6884c245b45d1a33c6ed182ef16af85205e
:9489e1aae260ed3bf81fbaea345e21f963fc03c7
:01e08504357dda43cc7065dd18d7300c12bf6bb6
:2103537113859b020727c15f7ff9bf313cb07722
:91689252818532ec13597b6528d38be93b2706c4
:7a9dbfd96b650ff08fa94659a65044c719e2eb36
:3efa90a1dfea76e986419cc678c07b368c6afde2
:4c7e95adf3ebf234c3296a412389fb303f4facf0
:c08ee75747f49663df26be3e321cb24fbf70a426
:a6703e2a86a641aa68143fce2c52684ce19e6679
:dd804390fdc08edba5d48c9cde211c96eebef507
:eeb4520518253520c131e6c1e3839ee6a8825b90
:2733a43d4df9922590cb13886b8d63016c26bdc3
:1d3e80d2e100bd929c8f2cbed05d20fd31dfc0a0
:4769ae7e09fa901bff77680d464d9f1b55a6acce
:c3bf0640bc3345ce7d088a9e8917ed5d7471e1b2
:d5e5de8d7cfbc499609006ad34df6ec306ae59d6
:6162aef2617fc89176e1bda96ef3cdefc54fa19d
:0b232e446650ce07a3e70bae4f00a7ad5eda2630
:aacdc8ea0c4e93eb621123e7f3570c27bf8488a5
:2aad37c46430a80526dd3aabddbaecf10a2796ff
:00caa79d9b9399c8cecfe1e6b9b0937c74a24a17
:23b6792e3218744316fd495002f40a037c2e0095
:17e8fca193cfa612bf826fa5c6419eb4251bbfdc
:d4e6ad8d078348f18cc35e23948cc5bf5314fb51
:b91157d4f4244b03b5588e170ace00de8dc8c529
:91904b50d48533a0bdd19dd4ff394422c0af4eda
:428c12b402b2aec4a9e3e0d6df4e37a32ac23d38
:d0ddb4097969aeeb3a52ca73df2bb6eb6f78c1ca
:765b7bccf42efa4a306f1fab7db4e3c56f73a0f4
:1e49d90ad8b056f23bfcb1112c138b3074cd91a8
:f1dc650713bd8431f2c5aaff5901db7a8783a1c0
:55cd04d45b2fdeb27be1681e4ab06a78baefee9b
:9cd020ec2107c08febe2c8fcabd158212c207854
:ff479edd360f1aa31e40f928a71bf6f7c149be99
:31ced6922dfbbf2c78cdd993d2a66c7320e3041a
:b77822d9cb1a0c296b39b3a79636cdddecbfb112
:3d29aa68e072fce11c8557866d2fd73758bb562d
:48aea888319e1848137073c9cbde54a4c2a731c9
:26a69061e0fbe1299f3551a9375cd9ee1848d8c8
:eb221ff9515b390ff4254dae7de233c21ef8bdec
:96ffd421afec0236d71a8ca44f07259788006092
:d259f77e246b7dde5797633a40e4a655375f9b97
:dfa37876b0d3920b5add98022125723ea13859e1
:f607214a962a8c327a1620281080c62fbbf912be
:329a2ba0d74e3aa884d398c5849eb105b81d0e80
:1541a10957f3f42646dd12286aa4644ad5d8d0fc
:8fb625478bd7a72dd54181bc903a5a2de29b1a89
:a7a551a521525883c54f6c9a9f87fedf29da56a6
:956ba7c4c0243aa4db242c7374401f1e2aa19272
:6231ec150ac6813d6673fa4e729e8b205ffbc6d4
:f277cf8af7532168ab476e5f7bddaa44e74ff642
:d22f75170a2e3235e2438860d17888a571a56a2e
:95c1514dd499c799695ffdc151d37580ea65fe32
:62fc3e0ecd24181df18ef9ca12e4d85a71f38a41
:a860ea4c64e1f6a95b79f78d768fe6eba8802038
:8d6cec6865908b07d4a16c383bcded01660131d5
:9b3af3c4e04ceb5aaa350786fd48189771cc5d0c
:23cb02cc042d693b12e0fc862bd78c6f078bccbc
:538b7c00a08da38ec2669b21b4d957a5cc9a2716
:b5b634b40aba479f90711efdf377b4fb54e92fe5
:48c986082682a31f0a23ad45b8baec3104ccc8bc
:897c44a073d2593c6efe859dc3f43125eb0bdd19
:83eaf534f789338ec43432c66a28bb7680834b45
:a7c9800e919ae02011d6fd98d288c89b11672f3e
:30bf195f94c7b2965a718cffa02bb2bdb260efa7
:85f72cec06e169604b116e586ba68c671ec243c8
:36e184b8d59dc7f23d596b16596aaa8ef7dbebf1
:a8d252d8de45fa35974413a1ca7c605945efc74b
:ae8e77c4c74c226abb48109e71badeb5e504a79c
:45d15fabff2b24339ebc20289742528d1a0d8765
:e701fe886b1f5edb0b5f08de1ab1cedee3c2132d
:88c273fb9c6869c8e7a2c4ef8e1a8f10b50d1b49
:fb71a5246d70ffa304484d4c537422b34acc532d
:ef71a6ac906dd70dbd21dd4735022490270b036a
:a81ade404067e8c08aba32590381ac4ae6ae52d5
:11914a5753b492e7574a8ad63cfb9c1f8a266d26
:0c0c9b001e9180b2900e1cf1c8285a4aeee8a5c5
:eea1c9a8cfeeac089660f78d8b5b25629ea50a4d
:b13183904589e41af1ff190c2292bacd9eba64ee
:97a0c0b384f2b7c3be32d4cc48986ba08b96c77a
:99141ff9e3ca36ea38f0090b159c32c7f863a19e
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:a0df86e1d3a90e450717caa2ee7f2257ecf43ebf
:15d36790b0bd630e10b64b807ab93350d3204a1a
:5a5333e95f54b5f17160762d2978f8eafe078594
:bef3aa92f42cfc10b86a7c047221717f4c23b9e3
:585e18f56063dab8934660820f0c63765c6c1a1f
:7f9f71ef939a2d14edbff00042d067a85436265a
:0581d0275eea8f02f847d1324e5d944165a4c5e5
:555fe9d8d4e46eb06dfdeac35684309dd445fd46
:06f71dbfeb0b5367da21cc7de57cdf1f1571cfba
:3b537fd0daf3630e6a5fb221bee4d2437c937d7a
:0911ea7c180d733724f89037b8e8a34e64024aec
:afe4ec94c18bd5228bda21a6e8df520ba8e19e37
:0e672911e6ef7e176db2d972a25e791d3666c88a
:e9231436fdc501c560d23deff4cef5cd74406032
:634eca0cadcf35206919dd5e6a8e2e8601276947
:e5f626726497a81807681ed0088dbce6d6a1f17b
:7b293edaf51225e6f3340ab819a6d28f6518924f
:ddaccb07249c19d72544053590a31401e305a762
:e225266a8da8d6e7e159d6d17f1f554c5b3a6424
:aba5b4d9422d161201d60a20846ffd1a316bd2cd
:4c842320387ff7f6f91b7842b223c16518be909f
:d3c38998533a8bd1d9e7acd10d3836d41b0867a6
:264bfd9d45950be27417615f22a11928f979af89
:5eb15ebe2bd37df14bfcb20f9d59d6099a857db8
:5acb3ed8bf2968e0579fc84f14f6321dd20aac19
:dbe26f191fd371706b2dda27896aa30a5b22dde9
:9797115e8e715db61bd283e9624830b66a08b1ed
:f6cd9a44ce336ad8ae18940327ed91b42aabf48f
:3725fb94a176ea1e458bd5a8ec9f3cbda09f0d37
:c90940e66acc42678de0500a4601ff0d59546f67
:edc0302c4772ede9aac3def859db756b971d4588
:2856de50f1c766fa223e859fa185b815ff50acb9
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:ec9614ae603aeb492bb0c9ef922bb493ca668df5
:826954572f908ffb881abde973da364baa7ec6b0
:5fb5f948b7346919649e3df7a30b568c6822db85
:d209b396f198879f49a4cce4bd445df16ab163b5
:93d11b6f3b9cae2cd69aa2aacc6f0b7ee9466d86
:79d2d2a3e3d39fcde3bea274434562ecbc41b360
:8164c04fe43680778d29c2775cef453f494ab62b
:2605988b031acd22963135c5fd3d61490cf6b5d1
:3eb8f6e824315bc26a5402144ae601d34da1a9fb
:8f7197233cd093bf9cc7b70b40f061f31cdcde16
:4e07b77adb145cc6404542708f22dc48ded94731
:1c6a95451ee19617be5abea3d121f0226d21ddda
:c79cb1df9c867b4b51df6d8d7391e283421fada9
:27ec96db0ce8c2ca75f99af225c24ac3b5b9f12c
:c8e7f118041a9f77e0dd673da11b5653be27b5a2
:dca3d9895d90644f30bc2a71dc294efdbd3c1412
:74d56d8081dbddfee69a599e8e29c40cddf40af2
:48a644702c281103038c668c89846f89446e211b
:623d818893206b3a37628a4a32faa947d6f4d010
:3ce32d00b9be9f3899fe4bf8e9161dfac1c803c6
:a24e96e9936abd062784dba367e7944593cf64c5
:f6f334d5c9460a89f91ed234b061c018f71a7dac
:3596d1ec80182d921c0b48e8812942785441159e
:cbe1c52837d3c4aca82819c7ba3c8a5389ebe1b5
:7ff59f3ec00ebb70f32a3f3d6373e19cdc03d0cd
:27301f5062e80c3247bf89aaf21f0a6e3180168f
:1aa5155229ed306a22f1ff31a48ad72b3d43b273
:34fdb31481906f347f8dd8215f0df5d3f074167b
:66b364b123a75f3669adeeef2f561131cfd3c7a5
:4953d1f613914126bccceb3cb96386647ffba9df
:d87cdd71509313424501facf8bc2edd95430264f
:5c94d34eef463a380dece1eac0811d6cb2dea2f9
:7ab845aeae8aa1fb05a0a5423ddc19e52ec0d1c7
:f22620a51f15109ddfc879222a9b01a0c037d52f
:721308d95c4b0bad36f1280ff74f15064d6e44b6
:ce6f44c162c0d0bde857121d2d3d0a620a533c9a
:af4978c5430c11baf4087d12958d473294e89760
:087f3b383512e5ebb6de228c20a0074c908be719
:5a764b636f4c232c3eaad2de9fa274e2eb57adf8
:c3e132b26eb83e03c76b19f6f82ff174aaa9bdbe
:7e2907a76435b3ab5bb8cf3824256e105b6a6863
:a204bfcc489a1ee4377b80a324980aa449ae407e
:899888d3392cffc8072c40d2f186f958009ec476
:9f09793fe0a1bf0467ed9962ccfb7b8b55c2b8f7
:32f563bb668a3366b1cb3530c2d9630865b4977e
:1303ff662da0bae1f0d47b61678bb962d44de2d7
:047ff1f96609f9622164077e406cee4477d33a49
:5b2446ec03f125eaaa3ee01c89fcdc7c1244f21c
:e567a4b498aa9dfc484575e666a17925f0944318
:8aa6d8a56d611f0b56c1475cbfeb0f4407048b1c
:3e7396aeb0cacf83a7416f50cad1ff2d2d5c1594
:8c891e7ec31cb1629d3f74da75b83426143e3613
:1406558950ff100eb0320a325b3ea7961ba1a775
:070c6a71eaf42dca2c8c099c19f53de40e628d65
:85b8da918ed95b830bead361ec9608a25736e531
:fa565193ba81119aca56fd377f7ce66b560faf7d
:90fe13fac734263f663981ce4d1691cf926ced25
:ea131b7b80fb3c229f4c7a71295a4e12d840f1a8

comment:
:I was filtering unique data and trasposing them with special paste.
:
:After this error couldnt work correctly.

environ:
:ORBIT_SOCKETDIR=/tmp/orbit-quetzalzun
:XDG_SESSION_ID=1
:HOSTNAME=ayanami
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=6986
:GPG_AGENT_INFO=/tmp/keyring-c3K1bG/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:DESKTOP_STARTUP_ID=synapse-1958-ayanami-libreoffice-5_TIME22969580
:HISTSIZE=1000
:XDG_SESSION_COOKIE=9d4a403c2e2cc4ea54bee7820000000f-1326046897.666982-1089347456
:OLDPWD=/usr/lib64/libreoffice/program
:GNOME_KEYRING_CONTROL=/tmp/keyring-c3K1bG
:IMSETTINGS_MODULE=none
:USER=quetzalzun
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64
:SSH_AUTH_SOCK=/tmp/keyring-c3K1bG/ssh
:USERNAME=quetzalzun
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1543,unix/unix:/tmp/.ICE-unix/1543
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-writer.desktop
:MAIL=/var/spool/mail/quetzalzun
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/quetzalzun/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/quetzalzun
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1535
:LANG=en_US.UTF-8
:GDM_LANG=
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/quetzalzun
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=quetzalzun
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-iMKECATMde,guid=63e7bc4d1e2f7e907c67b2590000002a
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/quetzalzun
:DISPLAY=:0
:IBUS_NO_SNOOPER_APPS=synapse
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-quetzalzun-WlKMp7/database
:_=/usr/lib64/libreoffice/program/swriter.bin
Comment 1 Esteban Contreras-Vazquez 2012-01-09 17:30:56 EST
Created attachment 551686 [details]
File: dso_list
Comment 2 Esteban Contreras-Vazquez 2012-01-09 17:30:59 EST
Created attachment 551687 [details]
File: maps
Comment 3 Esteban Contreras-Vazquez 2012-01-09 17:31:02 EST
Created attachment 551688 [details]
File: backtrace
Comment 4 Caolan McNamara 2012-01-10 05:21:10 EST
int nColWidth = pDoc->GetColWidth( nIndex + nStartCol, nTab );
if (nColWidth)
{
    pEdits[nIndex] = new Edit(this, WB_BORDER);
    ... 
}
else
{
    pEdits[nIndex] = NULL;
}
pEdits[nIndex]->SetModifyHdl( HDL(Impl_DataModifyHdl) );

odd, always calls "SetModifyHdl" even in pEdits[nIndex] was nulled
Comment 5 Caolan McNamara 2012-01-10 05:28:11 EST
fix checked in, will be in >= libreoffice-3.3.4.1-2.fc15
Comment 6 Fedora Update System 2012-01-17 04:09:43 EST
libreoffice-3.3.4.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libreoffice-3.3.4.1-2.fc15
Comment 7 Fedora Update System 2012-01-17 15:27:09 EST
Package libreoffice-3.3.4.1-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.3.4.1-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0624/libreoffice-3.3.4.1-2.fc15
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-01-25 17:29:06 EST
libreoffice-3.3.4.1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.